package de.intevation.flys.client.client.ui;

import com.smartgwt.client.types.Overflow;
import com.smartgwt.client.widgets.HTMLPane;


public class ImgLink extends HTMLPane {

    private int width;
    private int height;

    private String href;
    private String imgUrl;

    private boolean newTab;


    public ImgLink(String imgUrl, String href, int width, int height) {
        super();

        this.width  = width;
        this.height = height;
        this.href   = href;
        this.imgUrl = imgUrl;
        this.newTab = false;

        update();
    }


    public ImgLink(String imgUrl, String href, int w, int h, boolean newTab) {
        this(imgUrl, href, w, h);
        this.newTab = newTab;

        update();
    }


    protected void update() {
        String target = newTab ? "_blank" : "_self";

        setContents("<a target='" + target + "' href='" + href + "'><img src='" + imgUrl + "'></a>");
        setWidth(width);
        setHeight(height);
        setOverflow(Overflow.VISIBLE);
    }


    public void setSource(String href) {
        this.href = href;
        update();
    }
}
